import { Logger } from '@jig-software/logger';
import { Controller, Inject } from '@jig-software/sdk';
import { healthCheckContract } from '../shared/contracts';

export class HealthCheckController extends Controller {
  @Inject()
  protected logger!: Logger;

  constructor() {
    super();
    this.logger.setTag(this.constructor.name);
    this.implement(healthCheckContract, (r) =>
      r.handlers({
        checkHealth: {
          handler: () => {
            return null;
          },
        },
      }),
    );
  }
}
